<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

 <script type="text/javascript">
   function confirmation() {
     if(confirm("Esta seguro de eliminar la seleccion?"))
     {
        return true;
     }
      return false;
   }
   
   function confirmation1() {
     if(confirm("Esta seguro de terminar el ingreso de Diagnosticos y procedimientos?"))
     {
        return true;
     }
      return false;
   }
 </script>
 
<?php
 include("header.php"); 
 include("select.php");
 include('conexionOdo.php');
 
 
 //////////////////////////VIENE DE HISTORIA
 $le= $_GET['lin'];
 $lin   = base64_decode($le);
 $linea = explode("/", $lin);
 $nConsulta       = $linea[0];
 $s_tipoHistoria  = $linea[1];
 
 session_start();    
 $s_nitEmpresa = $_SESSION['nitEmpresa']; 
 $s_codSede    = $_SESSION['codSede'];
 $s_usuario    = $_SESSION['nombreUsuario'];
 $s_empresa    = $_SESSION['empresaUsuario'];
 $s_cargo      = $_SESSION['cargoUsuario'];
 $s_idUsuario  = $_SESSION['idUsuario']; 
 //paciente
 $s_tipoId     = $_SESSION['e_tipoId'];
 $s_identifica = $_SESSION['e_identifica'];
 
 // TRAE DATOS DEL PACIENTE
 $query = "SELECT * FROM SIME_BAS_PACIENTE WHERE tipoId='$s_tipoId ' AND idPaciente=$s_identifica ";
 $result = mysql_query($query) or die('Consulta de sexo fallida: ' . mysql_error());
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
  
 $s_sexo            = $line["sexoPaciente"];
 $s_apell1Paciente  = $line["apell1Paciente"];   
 $s_apell2Paciente  = $line["apell2Paciente"]; 
 $s_nomPaciente     = $line["nomPaciente"];  
 $s_nomPaciente2    = $line["nomPaciente2"]; 
 $s_edadPaciente    = $line["edadPaciente"];
 $w_rhPac           = $line["RH"];

 $w_nomPac = $s_nomPaciente . ' ' . $s_nomPaciente2 . ' ' . $s_apell1Paciente . ' ' .  $s_apell2Paciente;
 
 /*-----ALERGIAS----*/
 $queryAlerg="SELECT alergias FROM SIO_ALERGIAS WHERE tipoId= '$s_tipoId ' AND numeroId=$s_identifica ";
 $resultAlerg = mysql_query($queryAlerg) or die('Consulta de existencia de alergias fallida: ' . mysql_error());   
 $lineAlerg = mysql_fetch_array($resultAlerg, MYSQL_ASSOC);
 $s_alergias = $lineAlerg['alergias'];
 // Liberar resultados
 mysql_free_result($resultAlerg);
 /*-----FIN ALERGIAS----*/ 

 
 if(isset($_POST['btnMed']))
 { 
   $medicamento = $_POST['coMed_s'];
   $medObserva  = $_POST['medObserva'];
   $w_fecha        = date("Y-m-d",time());
   
   // VERIFICA EXISTENCIA DE MEDICAMENTOS
   $query = "SELECT count(*) AS numC1 FROM SIO_MEDICAMENTOS where numConsulta=$nConsulta AND codMedPos='$medicamento' ";
   $result = mysql_query($query) or die('Consulta numero de medicamentos fallida: ' . mysql_error());
   //asigna valores a variables de trabajo
   $line = mysql_fetch_array($result, MYSQL_ASSOC);
   $nMed = $line["numC1"];
          
   if ($nMed==0) 
   {    
     // INSERTAR MEDICAMENTOS
     $query = "INSERT INTO SIO_MEDICAMENTOS " .
              "(nitEmpresa, " . 
              "codSede, " . 
              "tipoId, " .
              "idPaciente, ".
              "numConsulta, ".
              "tipoHistoria, ".
              "codMedPos, ".
              "observaciones ) ".
     " VALUES ($s_nitEmpresa, " . 
              "$s_codSede, " .
              "'$s_tipoId', ".
              "$s_identifica, ".
              "$nConsulta, ".
              "'$s_tipoHistoria', ".
              "'$medicamento', ".
              "'$medObserva')";            
     $result = mysql_query($query) or die('Insercion de medicamentos fallida: ' . mysql_error());
   }
   else
   {
     $query = " UPDATE SIO_MEDICAMENTOS SET observaciones = '$medObserva' WHERE numConsulta=$nConsulta AND codMedPos='$medicamento' ";
     $result = mysql_query($query) or die('Modificaci&oacute;n de medicamentos fallida: ' . mysql_error());
   }
       
   // Liberar resultados
   mysql_free_result($result);
} // btnMed

if(isset($_POST['BorrarMed']))
    {
      $nConsulta   = $_POST['nConsulta'];
      $id = $_POST['BorrarMed']; 
      $query = "DELETE FROM SIO_MEDICAMENTOS WHERE codMedPos='$id' AND numConsulta = $nConsulta";
      $result = mysql_query($query) or die('Eliminacion de Medicamentos fallida: ' . mysql_error());
    }
 
 ?>
 
   <table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">  
       <tr>
        <td align="center" class="titulosTabla" colspan="3">
          <label>HISTORIA CLINICA SEGUIMIENTO DE TRATAMIENTO <?=$e_nvoNroCon?></label>
         </td>
       </tr> 
        
       <tr>
        <td width="30%"class="subtutulosTabla" align="center" style="border-radius:3px;" >Paciente:</td>
        <td width="60%" class="titulosTabla1" align="left" >
               <?=$s_tipoId?> No.: <?=$s_identifica?>  - <?=$w_nomPac?> 
        </td>
         <td width="10%" class="titulosTabla1">RH: <?=$w_rhPac?></td>
       </tr>       
    </table> 
    
    <table align="center" border="0" width="960" > 
     <tr>
       <td class="negrita" colspan="2" align="center"></td>
     </tr>
   </table>    
   <table align="center" border="0" width="960" class="tablaProductos"> 
    <tr>
       <td align="center"><span class="icon-volume-high" style="font-size:16px; color:#e74c3c;"></span> <span style="font-size:16px; color:#e74c3c; font-family:Arial;"> ALERTAS:Alergias - Medicamentos </span></td>
     </tr>
     <tr>
       <td align="center">
         <textarea rows="3" cols="110" wrap="soft" name="alergias" id="alergias" readonly="readonly"><?=$s_alergias?></textarea>
       </td>
     </tr> 
   </table>     
  <p></p>
 
     <form  method="POST" action="" name="formCot" id="formCot" >
      <!--- //////////////////////////////////////////////////////////
      /////////////////  MEDICAMENTOS /////////////////////////////////
      /////////////////////////////////////////////////////////////////--->
      <p></p>
      <table align='center' border="1" width="960">  
        <tr>
         <td class='subtutulosTabla' align='left' colspan='4'>MEDICAMENTOS</td> 
        </tr>
        
        <tr>    
          <td class="negrita" align="left">Ingrese la palabra (o parte de ella) a buscar y toque la 'Lupa'- o Toque la 'Lupa' para presentar toda la lista</td>
          <td rowspan="5" align="center"> 
             <input type="submit" name="btnMed" value="Adicionar Medicamentos" style="width:150;height:60"/> 
           </td>
        </tr>
        
        <tr>
          <td>
            <input type="text" name="tres" id="tres" size="45" />
            <!--<button onclick="abrirMed();">Buscar Medicamento</button>--> 
            <input onclick="abrirMed();" type=image src="imagenes/lupa.jpg" width="35" height="22">
          </td>
        </tr> 
        
        <tr>  
          <td>
            <textarea rows="1" cols="20" wrap="soft" name="coMed_s" id="coMed_s" readonly="readonly"></textarea> 
            <textarea rows="1" cols="60" wrap="soft" name="noMed_s" id="noMed_s" readonly="readonly"></textarea>    
          </td>
        </tr>
        
        <tr>
          <td align="left" class="camposTabla">Observaciones para el medicamento
            <textarea rows="2" cols="70" wrap="soft" name="medObserva" id="medObserva"></textarea>
          </td>
        </tr>   
      </table>
      
      <?php 
        //arma tabla de medicamentos elegidos
         $query = " SELECT B.codMedPos, A.nombre, A.concentracion, B.observaciones" .
                  " FROM SIME_MED_POS A, SIO_MEDICAMENTOS B ".
                  " WHERE A.codigo = B.codMedPos AND ". 
                  "       B.numConsulta = '$nConsulta' ";              
        $result = mysql_query($query) or die('Consulta de medicamentos fallida: ' . mysql_error());
        
        $i=0;
        while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $codMed    = $line["codMedPos"];
          $nomMed    = $line["nombre"];
          $nomMed    = $nomMed ." / " . $line['concentracion'];
          $observa   = $line["observaciones"];
       
          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='subtutulosTabla' align='center' colspan='4'>LISTA DE MEDICAMENTOS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Toque para eliminar</td>\n");
                  echo("<td width='43%' class='negrita'>Nombre</td>\n");
                  echo("<td width='42%' class='negrita'>Observaciones</td>\n");
                echo("</tr>\n");
              }
          
          echo("<td width='15%' align='center'><input type='submit' id='BorrarMed' name='BorrarMed' value='$codMed' style='width:150'></td>\n");
          echo("<td width='43%' class='camposTabla' align='left'>$nomMed</td>\n");
          echo("<td width='42%' class='camposTabla' align='left'>$observa</td>\n");
          echo("</tr>\n");
        
          $i = $i+1;
        }//while
      ?>  
         
       <td colspan="2" align="left"> 
            <a href=sioBarraOdo0.php><img src="imagenes/btnVol.jpg"</a>
       </td>
     
      
      <?php
        if ($i>0)
        {
          $ldm=$nConsulta ."/". $s_tipoId ."/" .$s_identifica;
          $lDM = base64_encode($ldm);
        ?>
        <td align="right" colspan="3"> 
           <a href=sioImpMedi.php?lin=<?=$lDM?> target='_new'><img src="imagenes/impMed.jpg"></a>
        </td>
        <?php
        }
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
      ?>
      
      <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
      <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
      <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
   </form> 
 <script type="text/javascript">
     function abrirMed() {
      var valor1 = document.getElementById("tres").value; 
      var valor2 = "";
   
      //window.open("sioLstMd.php?v1="+valor1+"&v2="+valor2+" location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no,width=500,height=500");
      open("sioLstMd.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
    }   
   </script>
 </body> 
</html>      
      